Package org.globus.io.gass.server

# Interface JobOutputListener

public interface JobOutputListener
This class defines a job output listener.

## Method Summary

Modifier and Type
Method
Description
`void`
`outputChanged(String output)`
It is called whenever the job's output has been updated.
`void`
`outputClosed()`
It is called whenever job finished and no more output will be generated.

## Method Details

### outputChanged

void outputChanged(String output)
It is called whenever the job's output has been updated.

Parameters:
  `output` - new output

### outputClosed

void outputClosed()
It is called whenever job finished and no more output will be generated.